angular.module('calculator.controllers', [])

.controller('selectCalCtrl', function($rootScope, $scope) {
	$rootScope.logService('02', '01' , 'MC00001');
})

.controller('TurningCtrl',  function($scope,$filter,ModalService,$rootScope,focus, $timeout, miniCalc) {
	$rootScope.logService('02', '01' , 'MC01000');

	$scope.cal={};
	$scope.cal.Kinds =[
	{"code": "MC01002", "name": $rootScope.transConv('ruleVc')},
	{"code": "MC01003", "name": $rootScope.transConv('ruleN')},
	{"code": "MC01004", "name": $rootScope.transConv('ruleVf')},
	{"code": "MC01005", "name": $rootScope.transConv('ruleFn')},
	{"code": "MC01006", "name": $rootScope.transConv('ruleQ')},      
	{"code": "MC01007", "name": $rootScope.transConv('rulePc')},
	{"code": "MC01009", "name": $rootScope.transConv('ruleR')},
	{"code": "MC01001", "name": $rootScope.transConv('ruleM')}
	];

	$scope.cal.value = 7;
	
	$scope.turning = { };
	
	$scope.resultVc = function(){
		if(angular.equals('mm' , $rootScope.unit)){
			return $filter('setDecimal')(Math.PI * $scope.turning.D * $scope.turning.N / 1000  , $rootScope.decimalNum);
		}else{
			return $filter('setDecimal')(Math.PI * ($scope.turning.D/12) * $scope.turning.N  , $rootScope.decimalNum);
		}
	};
	$scope.resultN = function(){
		if(angular.equals('mm' , $rootScope.unit)){
			return $filter('setDecimal')(1000 * $scope.turning.Vc / ( Math.PI*$scope.turning.D));
		}else{
			return $filter('setDecimal')(12 * $scope.turning.Vc / ( Math.PI*$scope.turning.D));
		}
	};

	$scope.resultVf = function(){
		return $filter('setDecimal')( ($scope.turning.Fn *  $scope.turning.N) , $rootScope.decimalNum);
	};
	$scope.resultFn = function(){
		return $filter('setDecimal')( ($scope.turning.Vf / $scope.turning.N) , $rootScope.decimalNum);
	};
	$scope.resultQ = function(){
		if(angular.equals('mm' , $rootScope.unit)){
			return $filter('setDecimal')(($scope.turning.Vc * $scope.turning.Fn * $scope.turning.ap) , $rootScope.decimalNum);
		}else{
			return $filter('setDecimal')((12 *$scope.turning.Vc * $scope.turning.Fn * $scope.turning.ap) , $rootScope.decimalNum);
		}
	};
	$scope.resultPc = function(){
		if(angular.equals('mm' , $rootScope.unit)){
			return $filter('setDecimal')((($scope.turning.Q * $scope.turning.Kc) / (60 * 1000* $rootScope.Pcst))  , $rootScope.decimalNum);
		}else{
			return $filter('setDecimal')((($scope.turning.Q * $scope.turning.Kc) / (33 * 1000* $rootScope.Pcst))  , $rootScope.decimalNum);
		}
		
	};
	$scope.resultRmax = function(){
		return $filter('setDecimal')( Math.pow($scope.turning.Fn,2) / 8 * $scope.turning.r*1000  , $rootScope.decimalNum);
	};
	

	$scope.getResult = function(){

		switch($scope.cal.value){
			case 0:
				$scope.turning.Vc = $scope.resultVc();
				if($scope.turning.Vc) { 
					$scope.viewResult = $scope.turning.Vc;
				}
				break;
			case 1:
				$scope.turning.N = $scope.resultN();
				if($scope.turning.N) { 
					$scope.viewResult = $scope.turning.N;
				}
				break;
			case 2:
				$scope.turning.Vf = $scope.resultVf();
				if($scope.turning.Vf) { 
					$scope.viewResult = $scope.turning.Vf;
				}
				break;
			case 3:
				$scope.turning.Fn = $scope.resultFn();
				if($scope.turning.Fn) { 
					$scope.viewResult = $scope.turning.Fn;
				}
				break;
			case 4:
				$scope.turning.Q = $scope.resultQ();
				if($scope.turning.Q) { 
					$scope.viewResult = $scope.turning.Q;
				}
				break;
			case 5:
				/*$scope.turning.Q = $scope.resultQ();*/
				$scope.turning.Pc = $scope.resultPc();
				if($scope.turning.Pc) { 
					$scope.viewResult = $scope.turning.Pc;
					$scope.viewResult1 = $filter('setDecimal')($scope.turning.Pc / 0.75 , $rootScope.decimalNum) ;
				}
				break;
			case 6:
				$scope.turning.Rmax = $scope.resultRmax();
				if($scope.turning.Rmax) { 
					$scope.viewResult = $scope.turning.Rmax;
				}
				break;
			case 7:
				break;
		}

	};
	$scope.watchFlag = true;
	$scope.chk = [4,5,7];
	$scope.$watch("turning.D", function(nv,ov){
		
		if($scope.chk.indexOf($scope.cal.value) > -1){
			$scope.turning.Vc = $scope.resultVc();
		}
		$scope.getResult();
	});
	$scope.$watch("turning.N", function(nv,ov){
		if(!$scope.watchFlag){
			$scope.watchFlag = true;
			return;
		}else{
			if(angular.equals(5 ,$scope.cal.value) || angular.equals(4 ,$scope.cal.value)) {
				$scope.watchFlag = false;
				$scope.turning.Vc = $scope.resultVc();
				$scope.turning.Fn = $scope.resultFn();
				$scope.getResult();
			}else if( angular.equals(7 ,$scope.cal.value)){
				$scope.watchFlag = false;
				$scope.turning.Vc = $scope.resultVc();
				$scope.getResult();
			}

		}
	});
	$scope.$watch("turning.ap", function(nv,ov){
		$scope.getResult();
	});
	$scope.$watch("turning.Kc", function(nv,ov){
		$scope.getResult();
	});
	$scope.$watch("turning.Vf", function(nv,ov){
		if(!$scope.watchFlag){
			$scope.watchFlag = true;
			return;
		}else{
			if($scope.chk.indexOf($scope.cal.value) > -1){
				$scope.watchFlag = false;
				$scope.turning.Fn = $scope.resultFn();
				$scope.getResult();
			}
		}
	});
	$scope.$watch("turning.Fn", function(nv,ov){
		if(!$scope.watchFlag){
			$scope.watchFlag = true;
			return;
		}else{
			if($scope.chk.indexOf($scope.cal.value) > -1) {
				$scope.watchFlag = false;
				$scope.turning.Vf = $scope.resultVf();
				$scope.getResult();
			}if(angular.equals( 6, $scope.cal.value)){
				$scope.turning.Rmax = $scope.resultRmax();
				$scope.getResult();
			}
		}
		
	});
	$scope.$watch("turning.Vc", function(nv,ov){
		if(!$scope.watchFlag){
			$scope.watchFlag = true;
			return;
		}else{
			if(angular.equals(5 ,$scope.cal.value)) {
				$scope.watchFlag = false;
				$scope.turning.Q = $scope.resultQ();
				$scope.getResult();
			}else if(angular.equals(5 ,$scope.cal.value) || angular.equals(7 ,$scope.cal.value)){
				$scope.watchFlag = false;
				$scope.turning.N = $scope.resultN();
				$scope.getResult();
			}
		}
	});
	$scope.$watch("turning.Fn", function(nv,ov){
		if(angular.equals(5 ,$scope.cal.value)) {
			$scope.turning.Q = $scope.resultQ();
		}
		$scope.getResult();
	});
	$scope.$watch("turning.ap", function(nv,ov){
		if(angular.equals(5 ,$scope.cal.value)) {
			$scope.turning.Q = $scope.resultQ();
		}
		$scope.getResult();
	});

	$scope.$watch("cal.value", function(newValue, oldValue) {
		$scope.showField(newValue);
	});
	$scope.showFields = [1,1,1,1,1,1,1,1,1];

	$scope.showField = function(val){
		$scope.viewResult= 0;
		$scope.viewResult1 = 0;
		switch(val) {
			case 0:
			$scope.imgUrl = 'img/cut_img_01.jpg';
			$scope.showFields = [1,0,1,0,0,0,0,0,0,0];
			$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'vc');
			break;
			case 1:
			$scope.imgUrl = 'img/cut_img_01.jpg';
			$scope.showFields = [1,1,0,0,0,0,0,0,0,0];
			$scope.viewResultUnit =  $rootScope.ChangeUnitName($rootScope.unit, 'n');
			break;
			case 2:
			$scope.imgUrl = 'img/cut_img_05.jpg';
			$scope.showFields = [0,0,1,0,1,0,0,0,0,0];
			$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'vf');
			break;
			case 3:
			$scope.imgUrl = 'img/cut_img_05.jpg';
			$scope.showFields = [0,0,1,1,0,0,0,0,0,0];
			$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'fn');
			break;
			case 4:
			$scope.imgUrl = 'img/cut_img_05.jpg';
			$scope.showFields = [0,1,0,0,1,0,0,0,1,0];
			$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'Q');
			break;
			case 5:
			$scope.imgUrl = 'img/cut_img_05.jpg';
			$scope.showFields = [0,1,0,0,1,0,1,0,1,0];
			$scope.viewResultUnit =$rootScope.ChangeUnitName($rootScope.unit, 'Pc');
			$scope.viewResultUnit1 = 'HP';
			break;
			case 6:
			$scope.imgUrl = 'img/cut_img_07.jpg';
			$scope.showFields = [0,0,0,0,1,0,0,0,0,1];
			$scope.viewResultUnit = 'Rmax';
			break;
			case 7:
			$scope.showFields = [1,1,1,1,1,0,0,0,0,0]; 
			break;
		}
		$scope.getResult();
	};
	//공구강 인장강도 770(Mpa)
	$scope.testbbb = function(event) {
		if($scope.turning.Fn == undefined || $scope.turning.Fn == 0 || !$scope.turning.Fn){
			$rootScope.pop('info','',$rootScope.transConv('checkFn')); //dk
			return;
		}
		$scope.turning.Fn = Math.floor(($scope.turning.Fn*10))/10;
		console.log($scope.turning.Fn);
		event.preventDefault();
		
		$scope.items =[];
		$scope.items  = [{"name":$rootScope.transConv('kcListNm1')+ $rootScope.transConv('TS') + " 520(Mpa)", "mpa":520, kc:[{"0.1":3610},{"0.2":3100},{"0.3":2720},{"0.4":2500},{"0.5":2280}]},
		{"name":$rootScope.transConv('kcListNm2')+ $rootScope.transConv('TS')+" 620(Mpa)", "mpa":620, kc:[{"0.1":3080},{"0.2":2700},{"0.3":2570},{"0.4":2450},{"0.5":2300}]},
		{"name":$rootScope.transConv('kcListNm3')+ $rootScope.transConv('TS') + " 720(Mpa)", "mpa":720, kc:[{"0.1":4050},{"0.2":3600},{"0.3":3250},{"0.4":2950},{"0.5":2640}]},
		{"name":$rootScope.transConv('kcListNm4')+ $rootScope.transConv('TS') + " 670(Mpa)", "mpa":670, kc:[{"0.1":3040},{"0.2":2800},{"0.3":2630},{"0.4":2500},{"0.5":2400}]},
		{"name":$rootScope.transConv('kcListNm4')+ $rootScope.transConv('TS') + " 770(Mpa)", "mpa":770, kc:[{"0.1":3150},{"0.2":2850},{"0.3":2620},{"0.4":2450},{"0.5":2340}]},
		{"name":$rootScope.transConv('kcListNm1')+ $rootScope.transConv('TS') + " 770(Mpa)", "mpa":770, kc:[{"0.1":3830},{"0.2":3250},{"0.3":2900},{"0.4":2650},{"0.5":2400}]},
		{"name":$rootScope.transConv('kcListNm1')+ $rootScope.transConv('TS') + " 630(Mpa)", "mpa":630, kc:[{"0.1":4510},{"0.2":3900},{"0.3":3240},{"0.4":2900},{"0.5":2630}]},
		{"name":$rootScope.transConv('kcListNm6')+ $rootScope.transConv('TS') + " 730(Mpa)", "mpa":730, kc:[{"0.1":4500},{"0.2":3900},{"0.3":3400},{"0.4":3150},{"0.5":2850}]},
		{"name":$rootScope.transConv('kcListNm6')+ $rootScope.transConv('TS') + " 600(Mpa)", "mpa":600, kc:[{"0.1":3610},{"0.2":3200},{"0.3":2880},{"0.4":2700},{"0.5":2500}]},
		{"name":$rootScope.transConv('kcListNm7')+ $rootScope.transConv('TS') + " 900(Mpa)", "mpa":900, kc:[{"0.1":3070},{"0.2":2650},{"0.3":2350},{"0.4":2200},{"0.5":1980}]},
		{"name":$rootScope.transConv('kcListNm7')+ $rootScope.transConv('HB') + " 352(HB)", "mpa":'352HB' , kc:[{"0.1":3310},{"0.2":2900},{"0.3":2580},{"0.4":2400},{"0.5":2200}]},
		{"name":$rootScope.transConv('kcListNm10') + $rootScope.transConv('HB')  + " 46(HRC)", "mpa":'46HRC', kc:[{"0.1":3190},{"0.2":2800},{"0.3":2600},{"0.4":2450},{"0.5":2270}]},
		{"name":$rootScope.transConv('kcListNm11')+ $rootScope.transConv('TS') + " 360(Mpa)", "mpa":360, kc:[{"0.1":2300},{"0.2":1930},{"0.3":1730},{"0.4":1600},{"0.5":1450}]},
		{"name":$rootScope.transConv('kcListNm12')+ $rootScope.transConv('HB')  + " 200(HB)", "mpa":'200HB', kc:[{"0.1":2110},{"0.2":1800},{"0.3":1600},{"0.4":1400},{"0.5":1330}]}];

		/*for (var i = 0 ; i < $scope.items.length; i++) {
			$scope.items[i].kc = $filter('filtername')($scope.items[i].kc, $scope.turning.Fn);
		};*/
		ModalService
		.init('kts-cal/view/calModal.html', $scope, function(modal){
			modal.show();
		});
	};
	$scope.Kc = {};

/*	$scope.$on('$ionicView.loaded', function (viewInfo, state) {
		$timeout(function() {
			var el = document.getElementBycode('modalCall');
			angular.element(el).triggerHandler('click');
			//angular.element('#modalCall').trigger('click');
		}, 400);
	});*/





	$scope.showImage = function(itm){
		$scope.viewImgUrl = itm;
		ModalService
		.init('kts-cal/view/viewModal.html', $scope)
		.then(function(modal) {
			modal.show();
		});
	};

	$scope.fn_miniCalc = function(name, val, event){
		event.preventDefault();
		if(val == '7'){
			return;
		}else{
			$scope.miniCalcValue = val;
			$scope.miniCalcName = name;
			miniCalc
			.init('kts-cal/view/miniCalc.html', $scope)
			.then(function(modal) {
				modal.show();
			});
		}

	};

	$scope.clearInput = function(){
		$('input').val('');	
		$scope.viewResult = 0;
		$scope.viewResult1 = 0;
		$scope.turning = { };
	};

	$scope.clearInput();

})


.controller('MillingCtrl',  function($scope,$filter,ModalService,$rootScope,focus, $timeout, miniCalc) {
$rootScope.logService('02', '01' , 'MC02000');
  //focus('focusMe');

  $scope.cal={};
  $scope.cal.Kinds =[
  {"code": "MC02002", "name":  $rootScope.transConv('ruleVc')},
  {"code": "MC02003", "name": $rootScope.transConv('ruleN')},
  {"code": "MC02004", "name": $rootScope.transConv('ruleVf')},
  {"code": "MC02005", "name": $rootScope.transConv('ruleFz')},
  {"code": "MC02006", "name": $rootScope.transConv('ruleQ')},      
  {"code": "MC02007", "name": $rootScope.transConv('rulePc')},
  {"code": "MC02001", "name": $rootScope.transConv('ruleM')}

  ];
  $scope.cal.value = 6;
  //$scope.currentCode = 6;
  $scope.milling = {  };

  $scope.resultVc = function(){
		if(angular.equals('mm' , $rootScope.unit)){
			return $filter('setDecimal')(Math.PI * $scope.milling.D * $scope.milling.N / 1000 , $rootScope.decimalNum);
		}else{
			return $filter('setDecimal')(Math.PI * ($scope.milling.D/12) * $scope.milling.N  , $rootScope.decimalNum);
		}
  };
  $scope.resultN = function(){
		if(angular.equals('mm' , $rootScope.unit)){
			return $filter('setDecimal')(1000 * $scope.milling.Vc / ( Math.PI*$scope.milling.D)) 
		}else{
			return $filter('setDecimal')(12 * $scope.milling.Vc / ( Math.PI*$scope.milling.D));
		}
  };
  $scope.resultVf = function(){
  	return $filter('setDecimal')( $scope.milling.Fz * $scope.milling.Zc *  $scope.milling.N  , $rootScope.decimalNum);
  };
  $scope.resultFz = function(){
		if(angular.equals('mm' , $rootScope.unit)){
			return $filter('setDecimal')( $scope.milling.Vf / ($scope.milling.Zc * $scope.milling.N)  , $rootScope.decimalNum);
		}else{
			return $filter('setDecimal')( $scope.milling.Vf / ($scope.milling.Zc * $scope.milling.N)  , $rootScope.decimalNum);
		}
  	
  };
  $scope.resultQ = function(){
		if(angular.equals('mm' , $rootScope.unit)){
			return $filter('setDecimal')(($scope.milling.ae * $scope.milling.Vf * $scope.milling.ap)/ 1000    , $rootScope.decimalNum);
		}else{
			return $filter('setDecimal')(($scope.milling.ae * $scope.milling.Vf * $scope.milling.ap)    , $rootScope.decimalNum);
		}

  };
  $scope.resultPc = function(){
	if(angular.equals('mm' , $rootScope.unit)){
		return $filter('setDecimal')((($scope.milling.Q * $scope.milling.Kc) / (60 * Math.pow(10,6) * $rootScope.Pcst))    , $rootScope.decimalNum);
	}else{
		return $filter('setDecimal')((($scope.milling.Q * $scope.milling.Kc) / (396 * 1000 * $rootScope.Pcst))    , $rootScope.decimalNum);
	}
  	
  };
  
  $scope.getResult = function(){
  	
  	switch($scope.cal.value){
  		case 0:
  		$scope.milling.Vc = $scope.resultVc();
  		if($scope.milling.Vc) { 
  			$scope.viewResult = $scope.milling.Vc;
  		}
  		break;
  		case 1:
  		$scope.milling.N = $scope.resultN();
  		if($scope.milling.N) { 
  			$scope.viewResult = $scope.milling.N;
  		}
  		break;
  		case 2:
  		$scope.milling.Vf = $scope.resultVf();
  		if($scope.milling.Vf) { 
  			$scope.viewResult = $scope.milling.Vf;
  		}
  		break;
  		case 3:
  		$scope.milling.Fz = $scope.resultFz();
  		if($scope.milling.Fz) { 
  			$scope.viewResult = $scope.milling.Fz;
  		}
  		break;
  		case 4:
  		$scope.milling.Q = $scope.resultQ();
  		if($scope.milling.Q) { 
  			$scope.viewResult = $scope.milling.Q;
  		}
  		break;
  		case 5:
  		/*$scope.milling.Vc = $scope.resultVc();*/
  		$scope.milling.Q = $scope.resultQ();
  		$scope.milling.Pc = $scope.resultPc();
  		if($scope.milling.Pc) { 
  			$scope.viewResult = $scope.milling.Pc;
  			$scope.viewResult1 = $filter('setDecimal')($scope.milling.Pc / 0.75 , $rootScope.decimalNum) ;
  		}
  		break;
  		case 6:

  		break;
  	}

  };
  $scope.isChange =0;
  $scope.watchFlag = true;
  $scope.chk = [4,5,6];
  $scope.$watch("milling.D", function(nv,ov){
  	if($scope.chk.indexOf($scope.cal.value) > -1){
  		$scope.milling.Vc = $scope.resultVc();
  	}
  	$scope.getResult();
  });
  $scope.$watch("milling.N", function(nv,ov){
  	if(!$scope.watchFlag){
  		$scope.watchFlag = true;
  		return;
  	}else{
  		$scope.watchFlag = false;
  		if(angular.equals(4 ,$scope.cal.value)) {
  			
  			//$scope.milling.Fz = $scope.resultFz();
  			$scope.milling.Vf = $scope.resultVf();
  			$scope.getResult();
  		}else if(angular.equals(5 ,$scope.cal.value) || angular.equals(6 ,$scope.cal.value)){
  			$scope.milling.Vc = $scope.resultVc();
  			$scope.milling.Vf = $scope.resultVf();
  			$scope.getResult();
  		}

  	}
  });
  $scope.resetFlag = function(scp){

  	if(!scp){
  		$scope.watchFlag =true;
  	}
  	 return ;
  };
  $scope.$watch("milling.ap", function(nv,ov){
  	$scope.getResult();
  });
  $scope.$watch("milling.Kc", function(nv,ov){
  	$scope.getResult();
  });
  $scope.$watch("milling.Vf", function(nv,ov){
  	if(!$scope.watchFlag){
  		$scope.watchFlag = true;
  		return;
  	}
	if($scope.chk.indexOf($scope.cal.value) > -1){
		$scope.watchFlag = false;
		$scope.milling.Fz = $scope.resultFz();
		$scope.getResult();
		$scope.resetFlag($scope.milling.Fz);
	}
  });
  $scope.$watch("milling.Fz", function(nv,ov){
  	if(!$scope.watchFlag){
  		$scope.watchFlag = true;
  		return;
  	}else{
  		if($scope.chk.indexOf($scope.cal.value) > -1){
  			$scope.watchFlag = false;
  			$scope.milling.Vf = $scope.resultVf();
  			$scope.getResult();
  		}
  	}
  });
  $scope.$watch("milling.Vc", function(nv,ov){
  	if(!$scope.watchFlag){
  		$scope.watchFlag = true;
  		return;
  	}else{
  		if($scope.chk.indexOf($scope.cal.value) > -1){
  			$scope.watchFlag = false;
  			$scope.milling.Q = $scope.resultQ();
  			$scope.milling.N = $scope.resultN();
  			$scope.getResult();
  		}
  	}
  });
  $scope.$watch("milling.Fn", function(nv,ov){
  	if(angular.equals(5 ,$scope.cal.value)) {
  		$scope.milling.Q = $scope.resultQ();
  	}
  	$scope.getResult();
  });
  $scope.$watch("milling.ap", function(nv,ov){
  	if(angular.equals(5 ,$scope.cal.value)) {
  		$scope.milling.Q = $scope.resultQ();
  	}
  	$scope.getResult();
  });
  $scope.$watch("milling.Zc", function(nv,ov){
  	if(!$scope.watchFlag){
  		$scope.watchFlag = true;
  		return;
  	}
	if($scope.chk.indexOf($scope.cal.value) > -1){
		$scope.watchFlag = false;
		$scope.milling.Fz = $scope.resultFz();
		$scope.getResult();
		$scope.resetFlag($scope.milling.Fz);
	}
});
  $scope.$watch("cal.value", function(newValue, oldValue) {
  	$scope.showField(newValue);
  });
  $scope.showFields = [1,1,1,1,1,1,1,1,1,1,1,1];

		$scope.showField = function(val){
			$scope.viewResult= 0;
			console.log(val);
			switch(val) {
				case 0:
				$scope.imgUrl = 'img/cut_img_03.jpg';
				$scope.showFields = [1,0,1,0,0,0,0,0,0,0,0,0];
				$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'vc');
				break;
				case 1:
				$scope.imgUrl = 'img/cut_img_03.jpg';
				$scope.showFields = [1,1,0,0,0,0,0,0,0,0,0,0];
				$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'n');
				break;
				case 2:
				$scope.imgUrl = 'img/cut_img_03.jpg';
				$scope.showFields = [0,0,1,0,1,0,0,0,0,1,0,0];
				$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'vf');
				break;
				case 3:
				$scope.imgUrl = 'img/cut_img_03.jpg';
				$scope.showFields = [0,0,1,1,0,0,0,0,0,1,0,0];
				$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'fz');
				break;
				case 4:
				$scope.imgUrl = 'img/cut_img_03.jpg';
				$scope.showFields = [0,0,0,1,0,0,0,0,1,0,1,0];
				$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'Q');
				break;
				case 5:
				$scope.imgUrl = 'img/cut_img_03.jpg';
				$scope.showFields = [0,0,0,1,1,0,1,0,1,0,1,0];
				$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'Pc');
				$scope.viewResultUnit1 = 'HP';
				break;
				case 6:
				$scope.showFields = [1,1,1,1,1,0,0,0,0,1,0,0]; 
				break;
			}
			$scope.getResult();
		};
		
		$scope.testbbb = function(event) {
			console.log($scope.milling.Fz);
			if($scope.milling.Fz == undefined || $scope.milling.Fz == 0 || !$scope.milling.Fz){
				$rootScope.pop('info','',$rootScope.transConv('checkFz'));
				return;
			};
			$scope.milling.Fz = Math.floor(($scope.milling.Fz*10))/10;
			if(angular.equals(0, $scope.milling.Fz)){
				$scope.milling.Fz = 0.1;
			}else if($scope.milling.Fz > 0.5){
				$scope.milling.Fz = 0.5;
			}


			console.log($scope.milling.Fz);
			event.preventDefault();
			$scope.items =[];
			$scope.items  = [{"name":$rootScope.transConv('kcListNm1') + $rootScope.transConv('TS') + " 520(Mpa)", "mpa":520, kc:[{"0.1":2200},{"0.2":1950},{"0.3":1820},{"0.4":1700},{"0.5":1580}]},
			{"name":$rootScope.transConv('kcListNm2') + $rootScope.transConv('TS') + " 620(Mpa)", "mpa":620, kc:[{"0.1":1980},{"0.2":1800},{"0.3":1730},{"0.4":1600},{"0.5":1570}]},
			{"name":$rootScope.transConv('kcListNm3') + $rootScope.transConv('TS') + " 720(Mpa)", "mpa":720, kc:[{"0.1":2520},{"0.2":2200},{"0.3":2040},{"0.4":1850},{"0.5":1740}]},
			{"name":$rootScope.transConv('kcListNm4') + $rootScope.transConv('TS') + " 670(Mpa)", "mpa":670, kc:[{"0.1":1980},{"0.2":1800},{"0.3":1730},{"0.4":1700},{"0.5":1600}]},
			{"name":$rootScope.transConv('kcListNm4') + $rootScope.transConv('TS') + " 770(Mpa)", "mpa":770, kc:[{"0.1":2030},{"0.2":1800},{"0.3":1750},{"0.4":1700},{"0.5":1580}]},
			{"name":$rootScope.transConv('kcListNm5') + $rootScope.transConv('TS') + " 770(Mpa)", "mpa":770, kc:[{"0.1":2300},{"0.2":2000},{"0.3":1880},{"0.4":1750},{"0.5":1660}]},
			{"name":$rootScope.transConv('kcListNm5') + $rootScope.transConv('TS') + " 630(Mpa)", "mpa":630, kc:[{"0.1":2750},{"0.2":2300},{"0.3":2060},{"0.4":1800},{"0.5":1780}]},
			{"name":$rootScope.transConv('kcListNm6') + $rootScope.transConv('TS') + " 730(Mpa)", "mpa":730, kc:[{"0.1":2540},{"0.2":2250},{"0.3":2140},{"0.4":2000},{"0.5":1800}]},
			{"name":$rootScope.transConv('kcListNm6') + $rootScope.transConv('TS') + " 600(Mpa)", "mpa":600, kc:[{"0.1":2180},{"0.2":2000},{"0.3":1860},{"0.4":1800},{"0.5":1670}]},
			{"name":$rootScope.transConv('kcListNm7') + $rootScope.transConv('TS') + " 940(Mpa)", "mpa":940, kc:[{"0.1":2000},{"0.2":1800},{"0.3":1680},{"0.4":1600},{"0.5":1500}]},
			{"name":$rootScope.transConv('kcListNm7') + $rootScope.transConv('HB') + " 352(HB)", "mpa":'352HB' , kc:[{"0.1":2100},{"0.2":1900},{"0.3":1760},{"0.4":1700},{"0.5":1530}]},
			{"name":$rootScope.transConv('kcListNm8') + $rootScope.transConv('HB') + " 155(HB)", "mpa":'352HB' , kc:[{"0.1":2030},{"0.2":1970},{"0.3":1900},{"0.4":1770},{"0.5":1710}]},
			{"name":$rootScope.transConv('kcListNm9') + $rootScope.transConv('TS') + " 520(Mpa)", "mpa":'46HRC', kc:[{"0.1":2800},{"0.2":2500},{"0.3":2320},{"0.4":2200},{"0.5":2040}]},
			{"name":$rootScope.transConv('kcListNm10') + $rootScope.transConv('HB') + " 46(HRC)", "mpa":'46HRC', kc:[{"0.1":3000},{"0.2":2700},{"0.3":2500},{"0.4":2400},{"0.5":2200}]},
			{"name":$rootScope.transConv('kcListNm11') + $rootScope.transConv('TS') + " 360(Mpa)", "mpa":360, kc:[{"0.1":2180},{"0.2":2000},{"0.3":1750},{"0.4":1600},{"0.5":1470}]},
			{"name":$rootScope.transConv('kcListNm12') + $rootScope.transConv('HB') + " 200(HB)", "mpa":'200HB', kc:[{"0.1":1750},{"0.2":1400},{"0.3":1240},{"0.4":1050},{"0.5":970}]},
			{"name":$rootScope.transConv('kcListNm13') + $rootScope.transConv('TS') + " 500(Mpa)", "mpa":360, kc:[{"0.1":1150},{"0.2":950},{"0.3":800},{"0.4":700},{"0.5":630}]},
			{"name":$rootScope.transConv('kcListNm14') + " (Al-Mg," + $rootScope.transConv('TS') + " 160)", "mpa":360, kc:[{"0.1":580},{"0.2":480},{"0.3":400},{"0.4":350},{"0.5":320}]},
			{"name":$rootScope.transConv('kcListNm14') + " (Al-Si," + $rootScope.transConv('TS') + " 200)", "mpa":360, kc:[{"0.1":700},{"0.2":600},{"0.3":490},{"0.4":450},{"0.5":390}]},
			{"name":$rootScope.transConv('kcListNm14') + " (Al-Zn-Mg-Cu," + $rootScope.transConv('TS') + " 570)", "mpa":360, kc:[{"0.1":880},{"0.2":840},{"0.3":840},{"0.4":810},{"0.5":720}]}
			];
			ModalService
			.init('kts-cal/view/calModal.html', $scope, function(modal){
				modal.show();
			});
		};
		$scope.Kc = {};
/*		$scope.$on('$ionicView.loaded', function (viewInfo, state) {
			$timeout(function() {*/
				/*var el = document.getElementById('modalCall');
				angular.element(el).triggerHandler('click');*/
			//angular.element('#modalCall').trigger('click');
		/*}, 400);*/
/*		});*/

		$scope.showImage = function(itm){
			$scope.viewImgUrl = itm;
			ModalService
			.init('kts-cal/view/viewModal.html', $scope)
			.then(function(modal) {
				modal.show();
			});
		};
		$scope.fn_miniCalc = function(name, val, event){
			event.preventDefault();
			if(val == '6'){
				return;
			}else{
				$scope.miniCalcValue = val;
				$scope.miniCalcName = name;
				miniCalc
				.init('kts-cal/view/miniCalc.html', $scope)
				.then(function(modal) {
					modal.show();
				});
			}

		};
		$scope.clearInput = function(){
			$('input').val('');
			$scope.viewResult = 0;
			$scope.viewResult1 = 0;
			$scope.milling = { };
		};
		$scope.clearInput();
	})


.controller('GroovingCtrl',  function($scope,$filter,ModalService,$rootScope,focus, $timeout, miniCalc) {
$rootScope.logService('02', '01' , 'MC03000');
  //focus('focusMe');

  $scope.cal={};
  $scope.cal.Kinds =[
  {"code": "MC03002", "name":  $rootScope.transConv('ruleVc')},
  {"code": "MC03003", "name": $rootScope.transConv('ruleN')},
  {"code": "MC03004", "name": $rootScope.transConv('ruleVf')},
  {"code": "MC03005", "name": $rootScope.transConv('ruleFn')},
  {"code": "MC03006", "name": $rootScope.transConv('ruleQ')},      
  {"code": "MC03007", "name": $rootScope.transConv('rulePc')},
  {"code": "MC03001", "name": $rootScope.transConv('ruleM')}
  ];
  $scope.cal.value = 6;
  
  $scope.grooving = {  };
  
	$scope.resultVc = function(){
		if(angular.equals('mm' , $rootScope.unit)){
			return $filter('setDecimal')(Math.PI * $scope.grooving.D * $scope.grooving.N / 1000  , $rootScope.decimalNum);
		}else{
			return $filter('setDecimal')(Math.PI * ($scope.grooving.D/12) * $scope.grooving.N  , $rootScope.decimalNum);
		}
	};
	$scope.resultN = function(){
		if(angular.equals('mm' , $rootScope.unit)){
			return $filter('setDecimal')(1000 * $scope.grooving.Vc / ( Math.PI*$scope.grooving.D));
		}else{
			return $filter('setDecimal')(12 * $scope.grooving.Vc / ( Math.PI*$scope.grooving.D));
		}
	};

	$scope.resultVf = function(){
		return $filter('setDecimal')( ($scope.grooving.Fn *  $scope.grooving.N) , $rootScope.decimalNum);
	};
	$scope.resultFn = function(){
		return $filter('setDecimal')( ($scope.grooving.Vf / $scope.grooving.N) , $rootScope.decimalNum);
	};
	$scope.resultQ = function(){
		if(angular.equals('mm' , $rootScope.unit)){
			return $filter('setDecimal')(($scope.grooving.Vc * $scope.grooving.Fn * $scope.grooving.ap) , $rootScope.decimalNum);
		}else{
			return $filter('setDecimal')((12 *$scope.grooving.Vc * $scope.grooving.Fn * $scope.grooving.ap) , $rootScope.decimalNum);
		}
	};
	$scope.resultPc = function(){
		if(angular.equals('mm' , $rootScope.unit)){
			return $filter('setDecimal')((($scope.grooving.Q * $scope.grooving.Kc) / (60 * 1000* $rootScope.Pcst)) , $rootScope.decimalNum);
		}else{
			return $filter('setDecimal')((($scope.grooving.Q * $scope.grooving.Kc) / (33 * 1000* $rootScope.Pcst)) , $rootScope.decimalNum);
		}
		
	};


  $scope.getResult = function(){

  	switch($scope.cal.value){

  		case 0:
  		$scope.grooving.Vc = $scope.resultVc();
  		if($scope.grooving.Vc) { 
  			$scope.viewResult = $scope.grooving.Vc;
  		}
  		break;
  		case 1:
  		$scope.grooving.N = $scope.resultN();
  		if($scope.grooving.N) { 
  			$scope.viewResult = $scope.grooving.N;
  		}
  		break;
  		case 2:
  		$scope.grooving.Vf = $scope.resultVf();
  		if($scope.grooving.Vf) { 
  			$scope.viewResult = $scope.grooving.Vf;
  		}
  		break;
  		case 3:
  		$scope.grooving.Fn = $scope.resultFn();
  		if($scope.grooving.Fn) { 
  			$scope.viewResult = $scope.grooving.Fn;
  		}
  		break;
  		case 4:
  		$scope.grooving.Q = $scope.resultQ();
  		if($scope.grooving.Q) { 
  			$scope.viewResult = $scope.grooving.Q;
  		}
  		break;
  		case 5:

  		/*$scope.grooving.Vc = $scope.resultVc();*/
  		$scope.grooving.Q = $scope.resultQ();
  		$scope.grooving.Pc = $scope.resultPc();
  		if($scope.grooving.Pc) { 
  			$scope.viewResult = $scope.grooving.Pc;
  			$scope.viewResult1 = $filter('setDecimal')($scope.grooving.Pc / 0.75 , $rootScope.decimalNum) ;
  		}
  		break;
  		case 6:

  		break;
  	}

  };
  $scope.watchFlag = true;
  $scope.chk = [4,5,6];
	$scope.$watch("grooving.D", function(nv,ov){
		
		if($scope.chk.indexOf($scope.cal.value) > -1){
			$scope.grooving.Vc = $scope.resultVc();
		}
		$scope.getResult();
	});
	$scope.$watch("grooving.N", function(nv,ov){
		if(!$scope.watchFlag){
			$scope.watchFlag = true;
			return;
		}else{
			if(angular.equals(5 ,$scope.cal.value) || angular.equals(4 ,$scope.cal.value)) {
				$scope.watchFlag = false;
				$scope.grooving.Vc = $scope.resultVc();
				$scope.grooving.Fn = $scope.resultFn();
				$scope.getResult();
			}else if( angular.equals(6 ,$scope.cal.value)){
				$scope.watchFlag = false;
				$scope.grooving.Vc = $scope.resultVc();
				$scope.getResult();
			}

		}
	});
	$scope.$watch("grooving.ap", function(nv,ov){
		$scope.getResult();
	});
	$scope.$watch("grooving.Kc", function(nv,ov){
		$scope.getResult();
	});
	$scope.$watch("grooving.Vf", function(nv,ov){
		if(!$scope.watchFlag){
			$scope.watchFlag = true;
			return;
		}else{
			if($scope.chk.indexOf($scope.cal.value) > -1){
				$scope.watchFlag = false;
				$scope.grooving.Fn = $scope.resultFn();
				$scope.getResult();
			}
		}
	});
	$scope.$watch("grooving.Fn", function(nv,ov){
		if(!$scope.watchFlag){
			$scope.watchFlag = true;
			return;
		}else{
			if($scope.chk.indexOf($scope.cal.value) > -1) {
				$scope.watchFlag = false;
				$scope.grooving.Vf = $scope.resultVf();
				$scope.getResult();
			}
		}
		
	});
	$scope.$watch("grooving.Vc", function(nv,ov){
		if(!$scope.watchFlag){
			$scope.watchFlag = true;
			return;
		}else{
			if(angular.equals(5 ,$scope.cal.value)) {
				$scope.watchFlag = false;
				$scope.grooving.Q = $scope.resultQ();
				$scope.getResult();
			}else if(angular.equals(5 ,$scope.cal.value) || angular.equals(6 ,$scope.cal.value)){
				$scope.watchFlag = false;
				$scope.grooving.N = $scope.resultN();
				$scope.getResult();
			}
		}
	});
	$scope.$watch("grooving.Fn", function(nv,ov){
		if(angular.equals(5 ,$scope.cal.value)) {
			$scope.grooving.Q = $scope.resultQ();
		}
		$scope.getResult();
	});
	$scope.$watch("grooving.ap", function(nv,ov){
		if(angular.equals(5 ,$scope.cal.value)) {
			$scope.grooving.Q = $scope.resultQ();
		}
		$scope.getResult();
	});

  $scope.$watch("cal.value", function(newValue, oldValue) {
  	$scope.showField(newValue);
  });
  $scope.showFields = [1,1,1,1,1,1,1,1,1];

  $scope.showField = function(val){
  	$scope.viewResult= 0;
  	console.log(val);
  	switch(val) {
  		case 0:
  		$scope.imgUrl = 'img/cut_img_01.jpg';
  		$scope.showFields = [1,0,1,0,0,0,0,0,0];
  		$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'vc');
  		break;
  		case 1:
  		$scope.imgUrl = 'img/cut_img_01.jpg';
  		$scope.showFields = [1,1,0,0,0,0,0,0,0];
  		$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'n');
  		break;
  		case 2:
  		$scope.imgUrl = 'img/cut_img_05.jpg';
  		$scope.showFields = [0,0,1,0,1,0,0,0,0];
  		$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'vf');
  		break;
  		case 3:
  		$scope.imgUrl = 'img/cut_img_05.jpg';
  		$scope.showFields = [0,0,1,1,0,0,0,0,0];
  		$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'fn');
  		break;
  		case 4:
  		$scope.imgUrl = 'img/cut_img_05.jpg';
  		$scope.showFields = [0,1,0,0,1,0,0,0,1];
  		$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'Q');
  		break;
  		case 5:
  		$scope.imgUrl = 'img/cut_img_05.jpg';
  		$scope.showFields = [0,1,0,0,1,0,1,0,1];
  		$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'Pc');
  		$scope.viewResultUnit1 = 'HP	';
  		break;
  		case 6:
  		$scope.showFields = [1,1,1,1,1,0,0,0,0]; 
  		break;
  	}
  	$scope.getResult();
  };
  
  $scope.testbbb = function(event) {
  		if($scope.grooving.Fn == undefined || $scope.grooving.Fn == 0 || !$scope.grooving.Fn){
  			$rootScope.pop('info','',$rootScope.transConv('checkFn')); 
  			return;
  		}
		$scope.grooving.Fn = Math.floor(($scope.grooving.Fn*10))/10;
  		event.preventDefault();
		$scope.items =[];
		$scope.items  = [{"name":$rootScope.transConv('kcListNm1')+ $rootScope.transConv('TS') + " 520(Mpa)", "mpa":520, kc:[{"0.1":3610},{"0.2":3100},{"0.3":2720},{"0.4":2500},{"0.5":2280}]},
		{"name":$rootScope.transConv('kcListNm2')+ $rootScope.transConv('TS')+" 620(Mpa)", "mpa":620, kc:[{"0.1":3080},{"0.2":2700},{"0.3":2570},{"0.4":2450},{"0.5":2300}]},
		{"name":$rootScope.transConv('kcListNm3')+ $rootScope.transConv('TS') + " 720(Mpa)", "mpa":720, kc:[{"0.1":4050},{"0.2":3600},{"0.3":3250},{"0.4":2950},{"0.5":2640}]},
		{"name":$rootScope.transConv('kcListNm4')+ $rootScope.transConv('TS') + " 670(Mpa)", "mpa":670, kc:[{"0.1":3040},{"0.2":2800},{"0.3":2630},{"0.4":2500},{"0.5":2400}]},
		{"name":$rootScope.transConv('kcListNm4')+ $rootScope.transConv('TS') + " 770(Mpa)", "mpa":770, kc:[{"0.1":3150},{"0.2":2850},{"0.3":2620},{"0.4":2450},{"0.5":2340}]},
		{"name":$rootScope.transConv('kcListNm1')+ $rootScope.transConv('TS') + " 770(Mpa)", "mpa":770, kc:[{"0.1":3830},{"0.2":3250},{"0.3":2900},{"0.4":2650},{"0.5":2400}]},
		{"name":$rootScope.transConv('kcListNm1')+ $rootScope.transConv('TS') + " 630(Mpa)", "mpa":630, kc:[{"0.1":4510},{"0.2":3900},{"0.3":3240},{"0.4":2900},{"0.5":2630}]},
		{"name":$rootScope.transConv('kcListNm6')+ $rootScope.transConv('TS') + " 730(Mpa)", "mpa":730, kc:[{"0.1":4500},{"0.2":3900},{"0.3":3400},{"0.4":3150},{"0.5":2850}]},
		{"name":$rootScope.transConv('kcListNm6')+ $rootScope.transConv('TS') + " 600(Mpa)", "mpa":600, kc:[{"0.1":3610},{"0.2":3200},{"0.3":2880},{"0.4":2700},{"0.5":2500}]},
		{"name":$rootScope.transConv('kcListNm7')+ $rootScope.transConv('TS') + " 900(Mpa)", "mpa":900, kc:[{"0.1":3070},{"0.2":2650},{"0.3":2350},{"0.4":2200},{"0.5":1980}]},
		{"name":$rootScope.transConv('kcListNm7')+ $rootScope.transConv('HB') + " 352(HB)", "mpa":'352HB' , kc:[{"0.1":3310},{"0.2":2900},{"0.3":2580},{"0.4":2400},{"0.5":2200}]},
		{"name":$rootScope.transConv('kcListNm10') + $rootScope.transConv('HB')  + " 46(HRC)", "mpa":'46HRC', kc:[{"0.1":3190},{"0.2":2800},{"0.3":2600},{"0.4":2450},{"0.5":2270}]},
		{"name":$rootScope.transConv('kcListNm11')+ $rootScope.transConv('TS') + " 360(Mpa)", "mpa":360, kc:[{"0.1":2300},{"0.2":1930},{"0.3":1730},{"0.4":1600},{"0.5":1450}]},
		{"name":$rootScope.transConv('kcListNm12')+ $rootScope.transConv('HB')  + " 200(HB)", "mpa":'200HB', kc:[{"0.1":2110},{"0.2":1800},{"0.3":1600},{"0.4":1400},{"0.5":1330}]}];

		ModalService
		.init('kts-cal/view/calModal.html', $scope, function(modal){
			modal.show();
		});
  };
  $scope.Kc = {};
/*  $scope.$on('$ionicView.loaded', function (viewInfo, state) {
  	$timeout(function() {
  		var el = document.getElementById('modalCall');
  		angular.element(el).triggerHandler('click');
			//angular.element('#modalCall').trigger('click');
		}, 400);
  });*/

  $scope.showImage = function(itm){
  	$scope.viewImgUrl = itm;
  	ModalService
  	.init('kts-cal/view/viewModal.html', $scope, function(modal){
		modal.show();
	});
  };

	$scope.fn_miniCalc = function(name, val, event){
	event.preventDefault();
	if(val == '6'){
		return;
	}else{
		$scope.miniCalcValue = val;
		$scope.miniCalcName = name;
		miniCalc
		.init('kts-cal/view/miniCalc.html', $scope)
		.then(function(modal) {
			modal.show();
		});
	}

	};
  $scope.clearInput = function(){
  	$('input').val('');
  	$scope.viewResult = 0;
  	$scope.viewResult1 = 0;
  	$scope.grooving = { };
  };
  $scope.clearInput();
})



.controller('DrillingCtrl',  function($scope,$filter,ModalService,$rootScope,focus, $timeout, miniCalc,$location) {
$rootScope.logService('02', '01' , 'MC04000');
 //focus('focusMe');

 $scope.cal={};
 $scope.cal.Kinds =[

 {"code": "MC04002", "name":  $rootScope.transConv('ruleVc')},
 {"code": "MC04003", "name": $rootScope.transConv('ruleN')},
 {"code": "MC04004", "name": $rootScope.transConv('ruleVf')},
 {"code": "MC04005", "name": $rootScope.transConv('ruleFn')},
 {"code": "MC04006", "name": $rootScope.transConv('ruleQ')},      
 {"code": "MC04007", "name": $rootScope.transConv('rulePc')},
 {"code": "MC04009", "name": $rootScope.transConv('ruleMc')},
 {"code": "MC04010", "name": $rootScope.transConv('ruleT')},
 {"code": "MC04001", "name": $rootScope.transConv('ruleM')}
 ];
 $scope.cal.value = 8;
 
 $scope.drilling = {  };

 $scope.resultVc = function(){
	if(angular.equals('mm' , $rootScope.unit)){
		return $filter('setDecimal')(Math.PI * $scope.drilling.D * $scope.drilling.N / 1000  , $rootScope.decimalNum);
	}else{
		return $filter('setDecimal')(Math.PI * ($scope.drilling.D/12) * $scope.drilling.N  , $rootScope.decimalNum);
	}
 };

 $scope.resultN = function(){
	if(angular.equals('mm' , $rootScope.unit)){
 		return $filter('setDecimal')(1000 * $scope.drilling.Vc / ( Math.PI*$scope.drilling.D)) ;
	}else{
		return $filter('setDecimal')(12 * $scope.drilling.Vc / ( Math.PI*$scope.drilling.D)) ;
	}
 };
 $scope.resultVf = function(){
 	return $filter('setDecimal')( $scope.drilling.Fn *  $scope.drilling.N   , $rootScope.decimalNum);
 };
 $scope.resultFn = function(){
 	return $filter('setDecimal')( $scope.drilling.Vf / $scope.drilling.N  , $rootScope.decimalNum);
 };
 $scope.resultQ = function(){
	if(angular.equals('mm' , $rootScope.unit)){
	 	return $filter('setDecimal')(($scope.drilling.D * $scope.drilling.Vc * $scope.drilling.Fn) / 4   , $rootScope.decimalNum);
	}else{
		return $filter('setDecimal')(($scope.drilling.D * $scope.drilling.Vc * $scope.drilling.Fn) / 3   , $rootScope.decimalNum);
	}

 };
 $scope.resultPc = function(){
	if(angular.equals('mm' , $rootScope.unit)){
		return $filter('setDecimal')((($scope.drilling.Q * $scope.drilling.Kc) / (240 * 1000 * $rootScope.Pcst))   , $rootScope.decimalNum);
	}else{
		return $filter('setDecimal')((($scope.drilling.Q * $scope.drilling.Kc) / (132 * 1000 * $rootScope.Pcst))   , $rootScope.decimalNum);
	}
 	
 };
 $scope.resultMc = function(){
 	return $filter('setDecimal')($scope.drilling.K * Math.pow($scope.drilling.D, 2)*(0.0631+1.686* $scope.drilling.Fn)   , $rootScope.decimalNum);
 };
 $scope.resultT = function(){
 	return $filter('setDecimal')(57.95 * $scope.drilling.K * $scope.drilling.D * Math.pow($scope.drilling.Fn, 0.85)  , $rootScope.decimalNum);
 };


 $scope.getResult = function(){
 	switch($scope.cal.value){
 		case 0:
 		$scope.drilling.Vc = $scope.resultVc();
 		if($scope.drilling.Vc) { 
 			$scope.viewResult = $scope.drilling.Vc;
 		}
 		break;
 		case 1:
 		$scope.drilling.N = $scope.resultN();
 		if($scope.drilling.N) { 
 			$scope.viewResult = $scope.drilling.N;
 		}
 		break;
 		case 2:
 		$scope.drilling.Vf = $scope.resultVf();
 		if($scope.drilling.Vf) { 
 			$scope.viewResult = $scope.drilling.Vf;
 		}
 		break;
 		case 3:
 		$scope.drilling.Fn = $scope.resultFn();
 		if($scope.drilling.Fn) { 
 			$scope.viewResult = $scope.drilling.Fn;
 		}
 		break;
 		case 4:
 		$scope.drilling.Q = $scope.resultQ();
 		if($scope.drilling.Q) { 
 			$scope.viewResult = $scope.drilling.Q;
 		}
 		break;
 		case 5:
 		$scope.drilling.Pc = $scope.resultPc();
 		if($scope.drilling.Pc) { 
 			$scope.viewResult = $scope.drilling.Pc;
 			$scope.viewResult1 = $filter('setDecimal')($scope.drilling.Pc / 0.75 , $rootScope.decimalNum) ;
 		}
 		break;
 		case 6:
 		$scope.drilling.Mc = $scope.resultMc();
 		if($scope.drilling.Mc) { 
 			$scope.viewResult = $scope.drilling.Mc;
 		}
 		break;
 		case 7:
 		$scope.drilling.T = $scope.resultT();
 		if($scope.drilling.T) { 
 			$scope.viewResult = $scope.drilling.T;
 		}
 		break;
 		case 8:
 		
 		break;
 	}

 };



 $scope.watchFlag = true;
 $scope.chk = [4,5,6,7,8];

 $scope.$watch("drilling.D", function(nv,ov){
 	if($scope.chk.indexOf($scope.cal.value) > -1){
 		$scope.drilling.Vc = $scope.resultVc();
 		$scope.drilling.Mc = $scope.resultMc();
 		$scope.drilling.T = $scope.resultT();
 	}
 	$scope.getResult();
 });
 $scope.$watch("drilling.N", function(nv,ov){

 	if(!$scope.watchFlag){
 		$scope.watchFlag = true;
 		return;
 	}else{
 		if($scope.chk.indexOf($scope.cal.value) > -1){
 			$scope.watchFlag = false;
 			$scope.drilling.Fn = $scope.resultFn();
 			$scope.drilling.Vc = $scope.resultVc();
 			$scope.getResult();
 		}
 		if($scope.cal.value == '6' ||$scope.cal.value =='7'){
 			$scope.drilling.Vc = $scope.resultVc();
 			$scope.drilling.Vf = $scope.resultVf();
 			$scope.getResult();
 		}
 	}
 });
 $scope.$watch("drilling.ap", function(nv,ov){
 	$scope.getResult();
 });
 $scope.$watch("drilling.Kc", function(nv,ov){
 	$scope.getResult();
 });
 $scope.$watch("drilling.Vf", function(nv,ov){
 	if(!$scope.watchFlag){
 		$scope.watchFlag = true;
 		return;
 	}else{
 		if($scope.chk.indexOf($scope.cal.value) > -1){
 			$scope.watchFlag = false;
 			$scope.drilling.Fn = $scope.resultFn();
 			$scope.getResult();
 		}
 	}

 });
 $scope.$watch("drilling.Vc", function(nv,ov){
 	if(!$scope.watchFlag){
 		$scope.watchFlag = true;
 		return;
 	}else{
 		if($scope.chk.indexOf($scope.cal.value) > -1){
 			$scope.watchFlag = false;
 			$scope.drilling.N = $scope.resultN();
 			$scope.drilling.Q = $scope.resultQ();
 			
 			$scope.getResult();
 		}
 	}
 });
 $scope.$watch("drilling.Fn", function(nv,ov){

 	if(!$scope.watchFlag){
 		$scope.watchFlag = true;
 		return;
 	}else{
 		if($scope.chk.indexOf($scope.cal.value) > -1){
 			$scope.watchFlag = false;
 			$scope.drilling.Q = $scope.resultQ();
 			$scope.drilling.Vf = $scope.resultVf();
 			$scope.getResult();
 		}
		if($scope.cal.value == '6' ||$scope.cal.value =='7'){
			$scope.drilling.Mc = $scope.resultMc();
			$scope.drilling.T = $scope.resultT();
			$scope.getResult();
		}
 	}
 });
 $scope.$watch("drilling.ap", function(nv,ov){
 	if(angular.equals(5 ,$scope.cal.value)) {
 		$scope.drilling.Q = $scope.resultQ();
 	}
 	$scope.getResult();
 });

 $scope.$watch("drilling.K", function(nv,ov){
 	if($scope.chk.indexOf($scope.cal.value) > -1){
			$scope.drilling.Mc = $scope.resultMc();
 			$scope.drilling.T = $scope.resultT();
 	}
	if($scope.cal.value == '6' ||$scope.cal.value =='7'){
		$scope.drilling.Mc = $scope.resultMc();
		$scope.drilling.T = $scope.resultT();
		$scope.getResult();
	}
 	$scope.getResult();
 });


 $scope.$watch("cal.value", function(newValue, oldValue) {
 	$scope.showField(newValue);
 });
 $scope.showFields = [1,1,1,1,1,1,1,1,1,1];
 $scope.showField = function(val){
 	$scope.viewResult= 0;
 	switch(val) {
 		case 0:
 		$scope.imgUrl = 'img/cut_img_04.jpg';
 		$scope.showFields = [1,0,1,0,0,0,0,0,0,0];
 		$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'vc');
 		break;
 		case 1:
 		$scope.imgUrl = 'img/cut_img_04.jpg';
 		$scope.showFields = [1,1,0,0,0,0,0,0,0,0];
 		$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'n');
 		break;
 		case 2:
 		$scope.imgUrl = 'img/cut_img_04.jpg';
 		$scope.showFields = [0,0,1,0,0,0,0,0,0,1];
 		$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'vf');
 		break;
 		case 3:
 		$scope.imgUrl = 'img/cut_img_04.jpg';
 		$scope.showFields = [0,0,1,1,0,0,0,0,0,0];
 		$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'fn');
 		break;
 		case 4:
 		$scope.imgUrl = 'img/cut_img_04.jpg';
 		$scope.showFields = [1,1,0,0,0,0,0,0,0,1];
 		$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'Q');
 		break;
 		case 5:
 		$scope.imgUrl = 'img/cut_img_04.jpg';
 		$scope.showFields = [1,1,0,0,0,0,1,0,0,1];
 		$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'Pc');
 		$scope.viewResultUnit1 = 'HP';
 		break;
 		case 6:
 		$scope.imgUrl = 'img/cut_img_04.jpg';
 		$scope.showFields = [1,0,0,0,1,0,0,0,0,1]; 
 		$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'Mc');
 		break;
 		case 7:
 		$scope.imgUrl = 'img/cut_img_04.jpg';
 		$scope.showFields = [1,0,0,0,1,0,0,0,0,1]; 
 		$scope.viewResultUnit = $rootScope.ChangeUnitName($rootScope.unit, 'T');
 		break;
 		case 8:
 		$scope.showFields = [1,1,1,1,0,0,0,0,0,1]; 
 		break;
 	}
 	$scope.getResult();
 };

 $scope.testbbb = function(event) {
 	event.preventDefault();
 	$scope.items =[];
 	$scope.items  = [{"name":$rootScope.transConv('kcListNm15'), kc:[{"0":1.00}]},
 	{"name":$rootScope.transConv('kcListNm16') , kc:[{"0":1.39}]},
 	{"name":$rootScope.transConv('kcListNm17') , kc:[{"0":1.88}]},
 	{"name":$rootScope.transConv('kcListNm18') , kc:[{"0":2.22}]},
 	{"name":$rootScope.transConv('kcListNm19') , kc:[{"0":1.42}]},
 	{"name":$rootScope.transConv('kcListNm20') , kc:[{"0":1.45}]},
 	{"name":"3115(Ni 1.25, Cr 0.6, Mn 0.5) " + $rootScope.transConv('HB') + " 163HB", kc:[{"0":1.56}]},
 	{"name":"3120(Ni 1.25, Cr 0.6, Mn 0.7) " + $rootScope.transConv('HB') + " 174HB", kc:[{"0":2.02}]},
 	{"name":"3140 " + $rootScope.transConv('HB') + " 241HB", kc:[{"0":2.32}]},
 	{"name":"4115(Cr 0.5, Mo 0.11, Mn 0.8) " + $rootScope.transConv('HB') + " 167HB", kc:[{"0":1.62}]},
 	{"name":"4130(Cr 0.95, Mo 0.2, Mn 0.5) " + $rootScope.transConv('HB') + " 229HB", kc:[{"0":2.10}]},
 	{"name":"4140(Cr 0.95, Mo 0.2, Mn 0.85) " + $rootScope.transConv('HB') + " 269HB", kc:[{"0":2.41}]},
 	{"name":"4615(Ni 1.8, Mo 0.25, Mn 0.5) " + $rootScope.transConv('HB') + " 212HB", kc:[{"0":2.12}]},
 	{"name":"4820(Ni 3.5, Mo 0.25, Mn 0.6) " + $rootScope.transConv('HB') + " 390HB", kc:[{"0":3.44}]},
 	{"name":"5150(Cr 0.8, Mn 0.8) " + $rootScope.transConv('HB') + " 277HB", kc:[{"0":2.46}]},
 	{"name":"6115(Cr 0.6, Mn 0.6, V 0.12) " + $rootScope.transConv('HB') + " 174HB", kc:[{"0":2.08}]},
 	{"name":"6120(Cr 0.8, Mn 0.8, V 0.1) " + $rootScope.transConv('HB') + " 255HB", kc:[{"0":2.22}]},


 	];
/*	  $scope.items  = [{"name":"주철(보통주철) 경도(HB) 177", kc:[{"0":1.00}]},
	                   		{"name":"주철 경도(HB) 198", kc:[{"0":1.39}]},
                   			{"name":"주철(고급주철) 경도(HB) 224", kc:[{"0":1.88}]},
                   			{"name":"1020(탄소강 C 0.2%) 경도(HB) 160", kc:[{"0":2.22}]},
                   			{"name":"1112(쾌삭강 C 0.12 S 0.2%) 경도(HB) 183", kc:[{"0":1.42}]},
                   			{"name":"1335(망간강 Mn 1.75%) 경도(HB) 197", kc:[{"0":1.45}]},
                   			{"name":"3115(Ni 1.25, Cr 0.6, Mn 0.5) 경도(HB) 163", kc:[{"0":1.56}]},
                   			{"name":"3120(Ni 1.25, Cr 0.6, Mn 0.7) 경도(HB) 174", kc:[{"0":2.02}]},
                   			{"name":"3140 경도(HB) 241", kc:[{"0":2.32}]},
                   			{"name":"4115(Cr 0.5, Mo 0.11, Mn 0.8) 경도(HB) 167", kc:[{"0":1.62}]},
                   			{"name":"4130(Cr 0.95, Mo 0.2, Mn 0.5) 경도(HB) 229", kc:[{"0":2.10}]},
                   			{"name":"4140(Cr 0.95, Mo 0.2, Mn 0.85) 경도(HB) 269", kc:[{"0":2.41}]},
                   			{"name":"4615(Ni 1.8, Mo 0.25, Mn 0.5) 경도(HB) 212", kc:[{"0":2.12}]},
                   			{"name":"4820(Ni 3.5, Mo 0.25, Mn 0.6) 경도(HB) 390", kc:[{"0":3.44}]},
                   			{"name":"5150(Cr 0.8, Mn 0.8) 경도(HB) 277", kc:[{"0":2.46}]},
                   			{"name":"6115(Cr 0.6, Mn 0.6, V 0.12) 경도(HB) 174", kc:[{"0":2.08}]},
                   			{"name":"6120(Cr 0.8, Mn 0.8, V 0.1) 경도(HB) 255", kc:[{"0":2.22}]},


                   			];*/
                   			ModalService
				.init('kts-cal/view/calModal.html', $scope, function(modal){
					modal.show();
				});
                   		};
                   		$scope.Kc = {};
/*                   		$scope.$on('$ionicView.loaded', function (viewInfo, state) {
                   			$timeout(function() {
                   				var el = document.getElementById('modalCall');
                   				angular.element(el).triggerHandler('click');
			//angular.element('#modalCall').trigger('click');
		}, 400);
                   		});*/

                   		$scope.showImage = function(itm){
                   			switch(itm){
                   				case 'en':
                   					itm = 'img/table_01.png';
                   					break;
                   				case 'ko':
	                   				itm = 'img/table_02.png';
	                   				break;
                   			}

                   			$scope.viewImgUrl = itm;
                   			ModalService
                   			.init('kts-cal/view/viewModal.html', $scope)
                   			.then(function(modal) {
                   				modal.show();
                   			});
                   		};

			$scope.fn_miniCalc = function(name, val, event){
				event.preventDefault();
				if(val == '8'){
					return;
				}else{
					$scope.miniCalcValue = val;
					$scope.miniCalcName = name;
					miniCalc
					.init('kts-cal/view/miniCalc.html', $scope)
					.then(function(modal) {
						modal.show();
					});
				}

			};
                   		$scope.clearInput = function(){
                   			$('input').val('');
                   			$scope.viewResult = 0;
                   			$scope.viewResult1 = 0;
                   			$scope.drilling = { };
                   		};
                   		$scope.clearInput();
                   	});