angular.module('home.controllers', [])

/**
 * SideMenuContrller
 */
.controller('SideMenuCtrl', function($scope, $ionicSideMenuDelegate, $ionicHistory, $rootScope,$ionicActionSheet, UpdateService, $state,$ionicPopup) {
	$scope.langSelect = $rootScope.lang;
	$scope.unitSelect = $rootScope.unit;


    $scope.toggleLeft = function() {
    	$ionicSideMenuDelegate.toggleLeft();
    };
    	$scope.changeLangLabel = function(){
    		if($rootScope.lang =='ko'){
    			$scope.viewLang = $rootScope.transConv("more02");
 
    		}else{
    			$scope.viewLang = $rootScope.transConv("more03");
 
    		}
    	};
    	$scope.changeUnitLabel = function(){
    		if($rootScope.unit =='mm'){
    			$scope.viewUnit = $rootScope.transConv("more09");
 
    		}else{
    			$scope.viewUnit = $rootScope.transConv("more10");
 
    		}
    	};
	$scope.langActionSheet = function() {
		$ionicActionSheet.show({
			titleText: $rootScope.transConv("calModal"),
			buttons: [
			          { text: '<i class="icon ion-share"></i>' + $rootScope.transConv("more02")},
			          { text: '<i class="icon ion-arrow-move"></i>' + $rootScope.transConv("more03")},
			 ],
		//		      destructiveText: 'Delete',
		  cancelText: $rootScope.transConv("btn01"),
		  cancel: function() {
		  },
		  buttonClicked: function(index) {
		    	 switch(index){
		    	 case 0:
		    		 $rootScope.lang = 'ko';
		    		 break;
		    	 case 1: 
		    		 $rootScope.lang ='en';
		    		 break;
		    	 }
		    	 $rootScope.ChangeLanguage($rootScope.lang);
		    	 $scope.changeLangLabel();
		    	 $scope.changeUnitLabel();
		       return true;
		     }
		//		      ,destructiveButtonClicked: function() {
		//		        return true;
		//		      }
		});
	};
	$scope.unitActionSheet = function() {
		$ionicActionSheet.show({
			titleText: $rootScope.transConv("calModal"),
			buttons: [
			          { text: '<i class="icon ion-share"></i>' + $rootScope.transConv("more09")},
			          { text: '<i class="icon ion-arrow-move"></i>' + $rootScope.transConv("more10")},
			 ],
		//		      destructiveText: 'Delete',
		  cancelText: $rootScope.transConv("btn01"),
		  cancel: function() {
		  },
		  buttonClicked: function(index) {
		    	 switch(index){
		    	 case 0:
		    		 $rootScope.unit = 'mm';
		    		 break;
		    	 case 1: 
		    		 $rootScope.unit ='inch';
		    		 break;
		    	 }
		    	 $scope.changeLangLabel();
		    	 $scope.changeUnitLabel();
		       return true;
		     }
		//		      ,destructiveButtonClicked: function() {
		//		        console.log('DESTRUCT');
		//		        return true;
		//		      }
		});
	};
	//캐시 데이터 삭제
	$scope.dataUpdate = function(){
		$ionicPopup.alert({
			title: $rootScope.transConv('update01'), // String. The title of the popup.
  			template: $rootScope.transConv('update02') // String (optional). The sub-title of the popup.
		}).then(function(res){
			UpdateService.cacheDelete();
			if(navigator.app) navigator.app.exitApp();
		});
		/*alert("?!");
		alert(location.href);
		location.href = './#/update';
		alert(location.href);
		location.reload(true);*/

		//location.href = './#/update';
		//location.reload(true);
	};

	$scope.changeLangLabel();
	$scope.changeUnitLabel();
})
  
/**
 * Main Controller
 */
.controller('HomeCtrl', function($scope, $translate,$location,$ionicActionSheet, $timeout,$rootScope, httpService,$filter,$ionicModal, $ionicHistory) {
	/* 
	 * keyboard back clear
	 */
	 //$ionicHistory.clearHistory();
//http://192.168.50.113:8080/admin/log.do
$scope.testInsert= function(){
	console.log('come');
	var data =new FormData();      
			        data.append('app', '01');
			    	data.append('flag', '01');
			    	data.append('code', '01');
		  httpService.InsertInfo(data, '/admin/log.do').error(function(){
		  	console.log("fail");
		  });
			 
};

$scope.testbtn = function(){
	alert("come");
	/*$http.get('https://api.github.com/users/naorye/repos').then(function(response) {
	    var time = response.config.responseTimestamp - response.config.requestTimestamp;
	    console.log('The request took ' + (time / 1000) + ' seconds.');
	});*/

	console.log('come');
		$scope.data = {
		'app' : '01',
		'flag' : '01',
		'code' : '03'
	};
	var data =new FormData();      
			        data.append('app', '02');
			    	data.append('flag', '02');
			    	data.append('code', '02');
			    	data.append('os', '02');
		  httpService.InsertInfo(data, '/admin/log.do').success(function(response){
		  });
};
	  $scope.showActionsheet = function() {
		    
		    $ionicActionSheet.show({
		    	titleText: '언어설정',
		    	buttons: [
		    	          { text: '<i class="icon ion-share"></i> En'},
		    	          { text: '<i class="icon ion-arrow-move"></i> Ko'},
		    	 ],
//		      destructiveText: 'Delete',
		      cancelText: 'Cancel',
		      cancel: function() {
		        console.log('CANCELLED');
		      },
		      buttonClicked: function(index) {
			    	 switch(index){
			    	 case 0:
			    		 $rootScope.lang = 'en';
			    		 break;
			    	 case 1: 
			    		 $rootScope.lang ='ko';
			    		 break;
			    	 }
			    	 $rootScope.ChangeLanguage($rootScope.lang);
			       return true;
			     }
//		      ,destructiveButtonClicked: function() {
//		        console.log('DESTRUCT');
//		        return true;
//		      }
		    });
		  };
		  $rootScope.Pcst= 0.8;
		  $scope.showConstant = function() {
			    
			    $ionicActionSheet.show({
			    	titleText: '피삭제외경 상수설정',
			    	buttons: [
			    	          { text: '<i class="icon ion-share"></i>0.5'},
			    	          { text: '<i class="icon ion-arrow-move"></i> 0.6'},
			    	          { text: '<i class="icon ion-share"></i>0.7'},
			    	          { text: '<i class="icon ion-arrow-move"></i> 0.8'},
			    	 ],
//			      destructiveText: 'Delete',
			      cancelText: 'Cancel',
			      cancel: function() {
			      },
			      buttonClicked: function(index) {
				    	 switch(index){
				    	 case 0:
				    		 $rootScope.Pcst = 0.5;
				    		 break;
				    	 case 1: 
				    		 $rootScope.Pcst = 0.6;
				    		 break;
				    	 case 2: 
				    		 $rootScope.Pcst = 0.7;
				    		 break;
				    	 case 3: 
				    		 $rootScope.Pcst = 0.8;
				    		 break;
				    	 }
				       return true;
				     }
			    });
			  };


			  //input GD or CB, ktsConvData
			  $scope.code2CompType = function(code, data) {
				  $rootScope.ftype = [];
				  
				  $rootScope.ftype.push({code:code,
					  								name:$scope.code2ConvName(code,data.ftype)
//						  							,ftype:$scope.code2ConvName(code,data.ftype)
//						  							,compName:data[i].applications
//						  							,name:$scope.code2CompName(data.code, data.competitors)
					  							});
				  console.log($rootScope.ftype);
			  //input CD or CB , data.data
				$scope.code2CompInfo(code, data.data);
			  };
			  
			  //input CD or CB , data.data
			  $scope.code2CompInfo = function(code, data){
				  console.log(code);
				  console.log(data);
				  $rootScope.compList =[];
				  for ( var item in data) {
					  alert(data[item].code);
					  console.log(item);
					  if(angular.equals( code , data[item].code)){
						  
						  for ( var comp in data[item].competitors) {
							  alert(data.competitors[comp].code);
							  $rootScope.compList.push({
								  code:data.competitors[comp].code,
								  applications:data[comp].applications
							  });
						  }
						  
					  }
					
				}
				  console.log($rootScope.compList);
				  
			  };
			  
			  //input data.competitors[j], data.competitors
			  $scope.code2ConvName = function(code, data) {
				  
				  for ( var item in data) {
					  if(angular.equals(data[item].code, code)){
						  if($rootScope.lang =='ko'){
//							  $rootScope.compList.push({code:code, name:data[item].name.ko});
							  return data[item].name.ko;
						  }else if($rootScope.lang=='en'){
//							  $rootScope.compList.push({code:code, name:data[item].name.en});
							  return data[item].name.en;
						  }else{
							  
						  }
					  }	
				  }
			  };
			  //input compCode , ktsconvdata.data
			$scope.ftype2compCode = function(code, data){
				var ret;
				
				for (var i = 0; i < data.length; i++) {
					if (code == data.code) {
						ret.code = data.code;
						for (var j = 0; j < data.competitors; i++) {
							ret.name =  $scope.code2CompName(data.competitors[j], data.competitors);
						}
					}
				}
				
				return ret;
			};
			  
			$scope.name2lang = function(name){
				  if($rootScope.lang =='ko'){
//					  $rootScope.compList.push({code:code, name:data[item].name.ko});
					  return name.ko;
				  }else if($rootScope.lang=='en'){
//					  $rootScope.compList.push({code:code, name:data[item].name.en});
					  return name.en;
				  }else{
					  
				  }
			};
			  
			  $scope.jsonTest = function(){
				  $rootScope.ftype= [];
				  $rootScope.lmf = [];
				  $rootScope.app = [];
				  $rootScope.grade= [];
				  
				  httpService.SelectInfo('', '/kts-comm/ktsConvData.json').then(function(result){
					  $rootScope.ktsConvData = result.data;
					  //경쟁사
					  //$scope.results.push({data:$scope.data, sort_id:id_counter})
					  if($rootScope.lang == 'ko'){
						  for ( var i in result.data.ftype) {
							  $rootScope.ftype.push({
								  code:result.data.ftype[i].code,
								  name:$scope.name2lang(result.data.ftype[i].name)
								  });
							
						}
						  
						  for(var i=0; i< result.data.competitors.length; i++){
							  $rootScope.lmf.push({
								  code: $filter('filter')(result.data.competitors[i].code)
								  ,name : $scope.name2lang(result.data.competitors[i].name)
								  });
						  };
						  
//						  for ( var lmfIndex in $rootScope.lmf) {
//							  for ( var compIndex in result.data.data[0].competitors) {
//								  if(angular.equals(result.data.data[0].competitors[compIndex].code ,$rootScope.lmf[lmfIndex].code)){
//									  $rootScope.app.push({
//										  code : $filter('filter')(result.data.data[0].competitors[lmfIndex].code)
//										  ,application:$scope.code2ConvName($filter('filter')(result.data.data[0].competitors[lmfIndex].applications[0]), result.data.applications)
//									  });
//								  }
//							}
//						}
						  
						  
					  }else{
						  for(var i=0; i< result.data.competitors.length; i++){
							  $rootScope.lmf.push({
								  code:$filter('filter')(result.data.competitors[i].code)
								  ,name : $filter('filter')(result.data.competitors[i].name.en)
								  });
						  };						  
					  }
					  
//					  console.log($scope.getObjects(result.data.competitors, 'code' , 'SUMITOMO'));
//						for ( var index in result.data.competitors) {
//							
//							$rootScope.grade.push({
//												code:$scope.getObjects(result.data.competitors, 'code', result.data.competitors[index].code)[0],
//												name:$scope.code2ConvName(result.data.competitors[index],result.data.competitors)
//							});
//							
//						};
					  	  console.log($rootScope.ftype);
						  console.log($rootScope.lmf);
						  console.log($rootScope.app);
//						  console.log($rootScope.grade);
				  });
			  };
			  
			  $scope.moreModal;
			  
			    $ionicModal.fromTemplateUrl('kts-more/view/moreModal.html', {
			        scope: $scope,
			        animation: 'slide-in-up'
			      }).then(function(modal) {
			        $scope.moreModal = modal;
			      });
			      $scope.moreShow = function() {
			    	  console.log($rootScope.lang);
			    		$scope.langSelect = $rootScope.lang;
			    		$scope.unitSelect = $rootScope.unit;
			        $scope.moreModal.show();
			      };
			      $scope.moreHide = function() {
			        $scope.moreModal.hide();
			        //$scope.isFtypeBtnView = 'true';
			      };
			      $scope.goMoreContect = function() {
				    $scope.moreModal.hide();
				    $rootScope.ChangeView('/kts/cont');
				  };
			      //Cleanup the modal when we're done with it!
			      $scope.$on('$destroy', function() {
			        $scope.moreModal.remove();
			      });
			      // Execute action on hide modal
			      $scope.$on('modal.hidden', function() {
			        // Execute action
			      });
			      // Execute action on remove modal
			      $scope.$on('modal.removed', function() {
			        // Execute action
			      });
			      
//			  $scope.getObjects = function(obj, key, val) {
//						var objects = [];
//						for ( var i in obj) {
//							if (!obj.hasOwnProperty(i))
//								continue;
//							if (typeof obj[i] == 'object') {
//								objects = objects.concat($scope.getObjects(obj[i],key, val));
//							} else if (i == key && obj[key] == val) {
//							}
//						}
//						return objects;
//					};
			  
			  
			  
			  
})

/**
 * Update Checking....
 */
.controller('IntroCtrl', function($scope, UpdateService, $location, $ionicPopup, $rootScope,$ionicPlatform,$timeout, $stateParams) {

	/***************************
	 * INIT VALUES
	 ***************************/
	$scope.progress = 0;
	
	/***************************
	 * FUNCTIONS
	 ***************************/
	$scope.splashHide = function(){
		if (!navigator.splashscreen) return; 
		
		$timeout(function(){
			navigator.splashscreen.hide();
		},300);
		
		return;
	};

	$scope.onProgress = function (ev) {
		$scope.progress = ev.percentage * 100;
	}
	
	$scope.showConfirm = function() {
		return $ionicPopup.confirm({
		     title: $rootScope.transConv('alertTitle01'),
		     template:$rootScope.transConv('alert06')
		},100);
	};
	
	$scope.showAlert = function() {
	    return $ionicPopup.alert({
	      title: $rootScope.transConv('alertTitle02'),
	      template: $rootScope.transConv('alert07') 
	    });
	};
	
	$scope.checkUpdate = function () {
		$scope.splashHide();
        		var check = UpdateService.check();
        		check.then(function(result) {
        		$rootScope.logFlag = true;
        		if (result == true) {

        			$scope.showConfirm().then(function(isUpdate){
                	
                    		if(isUpdate === true) {

                    			//UpdateService.cacheDelete();

                        		var download = UpdateService.download($scope.onProgress);
                            		download.then(
                                		function(manifest) {
                                    		$scope.showAlert().then(function(){
                                    		UpdateService.update();
                                    		$location.path('/');
                                    	});
                                },
                                function(error) {
                                    $location.path('/');
                                }
                            	);  
                    	} else {
                        $location.path('/');
                    }            			
            			
            	}


            	);
            } /* end of if check true */
        }, function(error){
        	//$rootScope.logFlag = false;
        	$location.path('/');
        }); /* end of check error */
    };	
	
	/********************************
	 * SETTING
	 ********************************/
	$ionicPlatform.ready(function() {
		$scope.checkUpdate();

    	});

});

