app.config(['$stateProvider', '$urlRouterProvider', '$httpProvider', '$translateProvider' , function ($stateProvider, $urlRouterProvider, $httpProvider,$translateProvider) {

	$translateProvider.translations('en', {
		TITLE: 'MAIN-HOME',
		varD:'Diameter(D)',
		varMD:'Diameter(D)',
		varDD:'Diameter(D)',
		varN:'Spindle speed(n)',
		varVc:'Cutting speed(vc)',
		varVf:'Table feed(vf)',
		varFn:'Feed per revolution(fn)',
		varQ:'Metal removal rate(Q)',
		varKc:'Specific cutting force(Kc)',
		varPc:'Net power(Pc)',
		varap:'Depth of cut(ap)',
		varae:'Width of cut(ae)',
		varFz:'Feed per tooth(fz)',
		varZc:'Number of effective teeth(Zc)',
		varK:'Material coefficient(K)',
		varr:'ose radius(r)',
		calModal :'Please Select',
		canNotWrite:'Can not write mini calculator result',
		
		ZcUnit: 'pcs',

		turningTitle:'TURNING',
		millingTitle:'MILLING',
		groovingTitle:'GROOVING',
		drillingTitle:'DRILLING',
		calcTitle:'CUTTING CALCULATOR',
		selectCal: 'select Formulation',

		checkFn : 'check Fn value',
		checkFz : 'check Fz value',

		ruleVc:'Cutting speed',
		ruleN:'Spindle speed',
		ruleVf:'Table feed',
		ruleFn:'Feed per revolution',
		ruleFz:'Feed per tooth',
		ruleQ:'Metal removal rate',
		rulePc:'Net power',
		ruleMc:'Torque',
		ruleT:'Thrust',
		ruleR:'Theoretical surface roughness',
		ruleM:'Expert mode',

		millingNetPower:'* Only Face Milling',

		kcListNm1:'Soft steel',
		kcListNm2 : 'Medium carbon steel',
		kcListNm3 : 'High carbon steel',
		kcListNm4 : 'Tool steel',
		kcListNm5 : 'Chrome manganese steel',
		kcListNm6:'Chrome molybdenum steel',
		kcListNm7 : 'Nickel Chrome molybdenum steel',
		kcListNm8 : 'Austenitic stainless steel',
		kcListNm9 : 'Cast steel',
		kcListNm10 : 'Hardened cast iron',
		kcListNm11 : 'Meehanite cast iron',
		kcListNm12 : 'Gray cast iron',
		kcListNm13 : 'Brass',
		kcListNm14 : 'Light alloy',
		kcListNm15:'Cast iron(Gray) Hardness 177HB',
		kcListNm16:'Cast iron Hardness 198HB',
		kcListNm17:'Cast iron(Ductile) Hardness 224HB',
		kcListNm18:'1020(carbon steel C 0.2%) Hardness 160HB',
		kcListNm19:'1112(C 0.12 S 0.2%) Hardness 183HB',
		kcListNm20:'1335(Mn 1.75%) Hardness 197HB',

		TS : 'tensile strength',
		HB : 'Hardness',

	    tab01 : "Grade",
	    tab02 : "Chip Breaker",
	    tab03 : "More",
	    
	    more01 : "Language",
	    more02 : "한글",
	    more03 : "English",
	    more04 : "Unit",
	    more05 : "Setting",
	    more06 : "Apps",
	    more07 : "Cutting calculator",
	    more08 : "Insert converter ",
	    more09 : "Metric",
	    more10 : "Inch",
	    more11 : "Data Update",
	    
	    update01 : 'Exit App' , 
	    update02 : 'This application will <br> automatically shut down.<br> Please re-run App.',

	    btn01 : "Cancel",

	    alertTitle01 : "Confirm",
	    alertTitle02 : "Notifications",
	    
	    alert01 : 'Please select the vendor.',
	    alert02 : 'Please select the application.',
	    alert03 : 'The applications for this company does not exist.',
	    alert04 : 'This product does not exist for that application.',
	    alert05 : 'Please select a product to search.',
	    alert06 : 'This latest version has been updated.<br/>Do you want to update ?',
	    alert07 : 'The restart after the update ends.',
	    alert08 : 'This latest version has been updated.',

	    conv01 : 'Please select.',
	    conv02 : "Find 'KORLOY' equivalent",
	    conv03 : "Product comparison information may be inaccurate. " +
	    		 "Please contact your sales representative.",
	    conv04 : "Please select the product code, you can view the detailed screen.",
	    conv05 : "More information",
	    conv06 : "Manufacturer",
	    conv07 : "Application",
	    conv08 : "There is no information on the product.",
	    conv09 : "Please enter a grade or C/B",
	    conv10 : "Search",
	    conv11 : "More information",
	    
	    view01 : "Wear resistant",
	    view02 : "First choice",
	    view03 : "Tougher",
	    
	    cont01 : "Contact Us",
	    cont02 : "Tooling",
	    cont03 : "Tooling Group 1",
	    cont04 : "Tooling Group 2",
	    cont05 : "Customer Hotline",
	    cont06 : "Main Phone",
	    cont07 : "Seoul",
	    cont08 : "Daegu",
	    cont09 : "Busan",
	    cont10 : "Changwon",
	    cont11 : "Hunan",
	    cont12 : "Central",
	    cont13 : "Ulsan",
	    cont14 : "Head Office",
	    cont15 : "KORLOY AMERICA",
	    cont16 : "KORLOY EUROPE",
	    cont17 : "KORLOY INDIA",
	    cont18 : "KORLOY BRASIL",
	    cont19 : "KORLOY QINDAO",
	    
		PH:'0',
		closeApp : 'want close Application?',
		closeAppTitle : 'Close'
	  });
	  $translateProvider.translations('ko', {
		TITLE: '메인-홈',
		varae:'절삭폭(ae)',
		varFz:'날당이송(fz)',
		varZc:'유효인수(Zc)',
		varD:'피삭재외경(D)',
		varMD:'공구경(D)',
		varDD:'드릴경(D)',
		varN:'회전속도(n)',
		varVc:'절삭속도(vc)',
		varVf:'테이블이송(vf)',
		varFn:'회전당이송(fn)',
		varQ:'칩제거율(Q)',
		varKc:'비절삭저항(Kc)',
		varPc:'소요동력(Pc)',
		varap:'절삭깊이(ap)',
		varK:'재료계수(K)',
		varr:'노즈반경(r)',
		calModal :'선택해주세요',
		ZcUnit : '개',
		canNotWrite:'미니계산기의 결과는 입력 할 수 없습니다',
		turningTitle:'터닝',
		millingTitle:'밀링',
		groovingTitle:'그루빙/절단',
		drillingTitle:'드릴링',
		calcTitle:'절삭 가공계산기',
		selectCal: '공식선택',

		ruleVc:'절삭속도',
		ruleN:'회전속도',
		ruleVf:'테이블이송',
		ruleFn:'회전당이송',
		ruleFz:'날당이송',
		ruleQ:'칩제거율',
		rulePc:'소요동력',
		ruleMc:'토크',
		ruleT:'스러스트',
		ruleR:'이론면조도',
		ruleM:'숙련자용',

		millingNetPower:'* Face milling 기준',

		checkFn : 'Fn 값을 확인해주세요',
		checkFz : 'Fz 값을 확인해주세요',

		kcListNm1:'연강',
		kcListNm2:'중강',
		kcListNm3:'경강',
		kcListNm4:'공구강',
		kcListNm5:'크롬망간강',
		kcListNm6:'크롬몰리브덴강',
		kcListNm7:'니켈크롬몰리브덴강',
		kcListNm8:'오스테나이트계 스텐레스강',
		kcListNm9:'주강',
		kcListNm10:'경질주철',
		kcListNm11:'미하나이트주철',
		kcListNm12:'회주철',
		kcListNm13:'황동',
		kcListNm14:'경합금',
		kcListNm15:'주철(보통주철) 경도 177HB',
		kcListNm16:'주철 경도 198HB',
		kcListNm17:'주철(고급주철) 경도 224HB',
		kcListNm18:'1020(탄소강 C 0.2%) 경도 160HB',
		kcListNm19:'1112(쾌삭강 C 0.12 S 0.2%) 경도 183HB',
		kcListNm20:'1335(망간강 Mn 1.75%) 경도 197HB',

		TS : ' 인장강도',
		HB : ' 경도',

	    tab01 : "재종",
	    tab02 : "칩브레이커",
	    tab03 : "더보기",
	    
	    more01 : "언어",
	    more02 : "한글",
	    more03 : "English",
	    more04 : "단위",
	    more05 : "설정",
	    more06 : "Apps",
	    more07 : "절삭 가공계산기",
	    more08 : "인써트 컨버터",
	    more09 : "메트릭",
	    more10 : "인치",
	    more11 : "데이터 업데이트",
	    
	    update01 : '업데이트 안내' , 
	    update02 : '어플이 자동 종료됩니다.<br> 다시 실행 해 주세요.',
	    
	    alertTitle01 : "확인",
	    alertTitle02 : "알림",
	    
	    alert01 : '업체를 선택하세요.',
	    alert02 : '어플리케이션을 선택하세요.',
	    alert03 : '해당 업체에 대한 어플리케이션이 존재하지 않습니다.',
	    alert04 : '해당 어플리케이션에 대한 제품이 존재하지 않습니다.',
	    alert05 : '검색하실 제품을 선택해주세요.',
	    alert06 : '최신버전이 업데이트되었습니다.<br/>업데이트 하시겠습니까?',
	    alert07 : '업데이트 종료후 재시작합니다.',
	    alert08 : '최신버전이 업데이트되었습니다.',
	    btn01 : "취소",
	    
	    conv01 : '선택해주세요',
	    conv02 : "한국야금 제품 찾기",
	    conv03 : "제품 비교 정보는 부정확 할 수 있습니다. 영업사원에게 문의하세요",
	    conv04 : "제품코드를 선택하시면 상세화면을 볼 수 있습니다.",
	    conv05 : "상세정보",
	    conv06 : "제조사",
	    conv07 : "어플리케이션",
	    conv08 : "해당 제품의 정보가 없습니다.",
	    conv09 : "재종 또는 칩브레이커를 입력하세요",
	    conv10 : "검색",
	    conv11 : "상세정보",
	    
	    view01 : "내마모성",
	    view02 : "추천",
	    view03 : "인성",
	    
	    cont01 : "Contact Us",
	    cont02 : "툴링",
	    cont03 : "툴링 1그룹",
	    cont04 : "툴링 2그룹",
	    cont05 : "고객상담전화",
	    cont06 : "대표번호",
	    cont07 : "서울",
	    cont08 : "대구",
	    cont09 : "부산",
	    cont10 : "창원",
	    cont11 : "호남",
	    cont12 : "중부",
	    cont13 : "울산",
	    cont14 : "Head Office",
	    cont15 : "KORLOY AMERICA",
	    cont16 : "KORLOY EUROPE",
	    cont17 : "KORLOY INDIA",
	    cont18 : "KORLOY BRASIL",
	    cont19 : "KORLOY QINDAO",
	    
		PH:'0',
		closeApp : '종료하시겠습니까?',
		closeAppTitle : '종료'
	  });
	  $translateProvider.preferredLanguage('ko');
		    
}]);