angular.module('calculator.services', [])
.service('ModalService', function($ionicModal, $rootScope) {


	  var init = function(tpl, $scope, fnCallback) {
	    var promise;
	    $scope = $scope || $rootScope.$new();
	    
	    if($scope.modal) $scope.modal.remove();

	    promise = $ionicModal.fromTemplateUrl(tpl, {
	      scope: $scope,
	      animation: 'slide-in-up'
	    }).then(function(modal) {
	      $scope.modal = modal;
	      if (fnCallback) fnCallback(modal);
	      return modal;
	    });

	    $scope.openModal = function() {
	       $scope.modal.show();
	     };
	     $scope.closeModal = function() {
	       $scope.modal.hide();
	     };
	     $scope.$on('$destroy', function() {
	       $scope.modal.remove();
	     });

	     $scope.goBack = function(kc){
	     	var rev = '';
	     	 
	    	if(kc == undefined || kc.length == 0){
	    		$rootScope.pop('info','','피삭재재질을 선택해주세요.'); 
	    		return;	    		
	    	};
	     	if(!angular.isUndefined($scope.turning)){
	     		rev = $scope.turning.Fn.toString();

		    	 $scope.Kc.kc = kc;
			   	angular.forEach(kc, function(value, key) {
			   		if(value[rev.toString()] != undefined ){
			   			console.log("rev >>"+ rev + "\n key>>>"+ key+ "\n value>>"+ value[rev.toString()]);
			   			$scope.turning.Kc = value[rev.toString()];
			   		}
			   	});
	     	}else if(!angular.isUndefined($scope.milling)){
	     		rev = $scope.milling.Fz.toString();
		    	 $scope.Kc.kc = kc;
		    	 console.log(kc);
		    	 console.log(rev);
			   	angular.forEach(kc, function(value, key) {
			   		if(value[rev.toString()] != undefined ){
			   			console.log("rev >>"+ rev + "\n key>>>"+ key+ "\n value>>"+ value[rev.toString()]);
			   			$scope.milling.Kc = value[rev.toString()];
			   		}
			   	});
	     	}else if(!angular.isUndefined($scope.grooving)){
	     		rev = $scope.grooving.Fn.toString();
		    	 $scope.Kc.kc = kc;
			   	angular.forEach(kc, function(value, key) {
			   		if(value[rev.toString()] != undefined ){
			   			console.log("rev >>"+ rev + "\n key>>>"+ key+ "\n value>>"+ value[rev.toString()]);
			   			$scope.grooving.Kc = value[rev.toString()];
			   		}
			   	});
		}else if(!angular.isUndefined($scope.drilling)){
	     		rev = "0";
		   	angular.forEach(kc, function(value, key) {
		   		if(value[rev.toString()] != undefined ){
		   			console.log("rev >>"+ rev + "\n key>>>"+ key+ "\n value>>"+ value[rev.toString()]);
		   			$scope.drilling.K = value[rev.toString()];
		   		}
		   	});
		}


	   	$scope.modal.hide();
	   	$scope.modal.remove();
	     };


/*	     $scope.goBack = function(kc){
	     	console.log(kc);
	     	if(!angular.isUndefined($scope.turning)){
			$scope.turning.Kc = kc;
	     	}else if(!angular.isUndefined($scope.milling)){
			$scope.milling.Kc = kc;
	     	}else if(!angular.isUndefined($scope.grooving)){
	     		$scope.grooving.Kc = kc;
		}else if(!angular.isUndefined($scope.drilling)){
	     		$scope.drilling.Kc = kc;
		}
	   	$scope.modal.hide();

	     };*/
	    return promise;
	  };

	  return {
	    init: init
	  };

})

.service('miniCalc', function($ionicModal, $rootScope, $location) {

	  var init = function(tpl, $scope) {

	  	$scope.thisUrl = $location.url();
	    var promise;
	    $scope = $scope || $rootScope.$new();

	    /*console.log($scope.$$childTail.$$prevSibling.$$childTail.value);*/
	    console.log($scope.miniCalcValue);
	    promise = $ionicModal.fromTemplateUrl(tpl, {
	      scope: $scope,
	      animation: 'slide-in-up'
	    }).then(function(modal) {
	      $scope.modal = modal;
	      return modal;
	    });

	    $scope.openModal = function() {
	       $scope.modal.show();
	     };
	     $scope.closeModal = function() {
	       $scope.modal.hide();
	     };
	     $scope.$on('$destroy', function() {
	       $scope.modal.remove();
	     });
	    	
		$scope.ok = function () {
			$scope.modal.hide();
		};

		$scope.cancel = function () {
		     	if(!angular.isUndefined($scope.turning)){
				$scope.turning={};
		     	}else if(!angular.isUndefined($scope.milling)){
				$scope.milling={};
		     	}else if(!angular.isUndefined($scope.grooving)){
				$scope.grooving={};
			}else if(!angular.isUndefined($scope.drilling)){
				$scope.drilling={};
			}
			$scope.modal.hide();
		};
	    return promise;
	  };

	  return {
	    init: init
	  };


})

.filter('filtername', function () {
    return function (arr, value) {
    	var rev = value;
   	angular.forEach(arr, function(value, key) {
   		if(value[rev.toString()] != undefined ){
   			arr = value[rev.toString()];
   		}
   	});
   	return arr;
    };
});